Kindle older than 2013? Update NOW – Mystery Kindle update will block readers from books after Wednesday 23rd Mar 2016

Kindle owners will be unable to download their purchased books or buy new ones without a computer handy if they fail to update their Amazon Kindles by Wednesday 23rd Mar 2016.

Users of Kindle models older than 2013 will need to apply an update over their device’s wireless connection to install a critical fix. Those who do not will be kicked from Amazon online properties, including the book store, and their cloud library of purchased books and documents.

Amazon has sent emails to user account inboxes warning to update. It has not explained what the fix addresses and had not responded to a request for comment by the time of publication.

In a notice posted to the Amazon website marked urgent the book baron says devices that are not updated by March 23 will sport a generic connection error message and must be manually updated using a computer.

Source: Mystery Kindle update will block readers from books after Wednesday

Kindle older than 2013? Update by Wed 23rd Mar 2016! Click To Tweet

(Visited 167 times, 1 visits today)
This entry was posted in Amazon, Kindle and tagged , , by jimandzetta. Bookmark the permalink.

About jimandzetta

Jimandzetta.com have been providing digital publishing services, ranging from ebook conversions to print layout and production, since 2008. Located in Dallas/Fort Worth, Texas, jimandzetta.com continues to help both existing and new authors and publishers to produce a quality reading product!

Leave a Reply

Your email address will not be published. Required fields are marked *

Are You Human or Bot? * Time limit is exhausted. Please reload CAPTCHA.